<?php

declare (strict_types=1);
namespace idoit\Module\JDisc\Graphql\Schema\Model;

use Axtiva\FlexibleGraphql\Resolver\AutoGenerationInterface;

/**
 * This code is @generated by axtiva/flexible-graphql-php
 * if you want to extend it or change, then remove interface AutoGenerationInterface
 * and it will be managed by you, not axtiva/flexible-graphql-php code generator
 * PHP representation of graphql type AdministrationMutation
 */
final class AdministrationMutationType implements AutoGenerationInterface
{
    /**
     * Activates the given license!

Required permissions: Admin
     */
    public ?LicenseInfoType $activateLicense = null;
    /**
     * Generates certificate request for current certificate.

Required permissions: ViewData, Admin
     */
    public OneTimeDownloadLinkType $certificateRequest;
    /**
     * Downloads management function.
     */
    public DownloadsMutationType $downloads;
    /**
     * Application management operations

Required permissions: Admin
     */
    public ?ApplicationManagementMutationType $applicationManagement = null;
    /**
     * Database management operations

Required permissions: Admin
     */
    public ?DatabaseManagementMutationType $databaseManagement = null;
    /**
     * Returns an object to register and unregister integrations

Required permissions: ManageIntegrations
     */
    public ?IntegrationMutationType $integrations = null;
    /**
     * Users management operations

Required permissions: Admin
     */
    public ?UsersManagementMutationType $usersManagement = null;
    /**
     * Installs a new certificate in the WEB server. Note that the WEB server restarts after this call!

Required permissions: Admin
     */
    public ?StatusEnum $installWebServerCertificate = null;
}