<?php

declare (strict_types=1);
namespace idoit\Module\JDisc\Graphql\Schema\Model;

use Axtiva\FlexibleGraphql\Resolver\AutoGenerationInterface;

/**
 * This code is @generated by axtiva/flexible-graphql-php
 * if you want to extend it or change, then remove interface AutoGenerationInterface
 * and it will be managed by you, not axtiva/flexible-graphql-php code generator
 * PHP representation of graphql type ApplicationInstance
 * The applications installed on an operating system. */
final class ApplicationInstanceType implements AutoGenerationInterface
{
    /**
     * The application that is providing this instance
     */
    public ?ApplicationType $application = null;
    /**
     * The installation path for the application that this instance belongs to.
     */
    public ?string $applicationInstallPath = null;
    /**
     * The list of databases for this instance
     * @var null|iterable
     */
    public ?iterable $databases = null;
    /**
     * The internal id this entity. Note that the id might change when the entity gets deleted and recreated.
     */
    public ?string $id = null;
    /**
     * The instance path (if it exists).
     */
    public ?string $instancePath = null;
    /**
     * The application instance name
     */
    public ?string $name = null;
    /**
     * The operating system that the instance is installed on
     */
    public ?OperatingSystemType $operatingSystem = null;
    /**
     * Ports that this application instance is listening on
     * @var null|iterable
     */
    public ?iterable $ports = null;
    /**
     * The application that is providing this instance
     */
    public ?SoftwareInstanceStateEnum $state = null;
    /**
     * The application instance type
     */
    public ?SoftwareInstanceTypeEnum $type = null;
}