<?php

declare (strict_types=1);
namespace idoit\Module\JDisc\Graphql\Schema\Model;

use Axtiva\FlexibleGraphql\Resolver\AutoGenerationInterface;

/**
 * This code is @generated by axtiva/flexible-graphql-php
 * if you want to extend it or change, then remove interface AutoGenerationInterface
 * and it will be managed by you, not axtiva/flexible-graphql-php code generator
 * PHP representation of graphql type CloudFoundryAccess
 * This object contains information about the CloudFoundry instance access information. */
final class CloudFoundryAccessType implements AutoGenerationInterface
{
    /**
     * The CloudFoundry service account access token when a token based access is used
     */
    public ?AccountType $account = null;
    /**
     * A CloudFoundry access configuration comment
     */
    public ?string $comment = null;
    /**
     * Is the discovery for this cluster enabled?
     */
    public ?bool $enabled = null;
    /**
     * The internal id this entity. Note that the id might change when the entity gets deleted and recreated.
     */
    public ?string $id = null;
    /**
     * The CloudFoundry cluster IP or hostname when ServiceAccount token access is used..
     */
    public ?string $ipOrHostname = null;
    /**
     * The CloudFoundry access configuration name
     */
    public ?string $name = null;
    /**
     * The CloudFoundry cluster TCP/IP port when ServiceAccount token access is used. Otherwise, the port is part of the .conf file.
     */
    public ?int $port = null;
}