<?php

declare (strict_types=1);
namespace idoit\Module\JDisc\Graphql\Schema\Model;

use Axtiva\FlexibleGraphql\Resolver\AutoGenerationInterface;

/**
 * This code is @generated by axtiva/flexible-graphql-php
 * if you want to extend it or change, then remove interface AutoGenerationInterface
 * and it will be managed by you, not axtiva/flexible-graphql-php code generator
 * PHP representation of graphql type DiscoveryProtocolStatus
 * The discovery protocol status consisting of an enum for the status, a comError in case of COM Errors, a port, an identifier string (e.g. for SSH), and an individual message */
final class DiscoveryProtocolStatusType implements AutoGenerationInterface
{
    /**
     * The COM error in case of a COM error
     */
    public int $comError;
    /**
     * An identifier string for protocols such as SSH or HTTP/HTTPS
     */
    public ?string $identifier = null;
    /**
     * An individual additional message
     */
    public ?string $msg = null;
    /**
     * The port used for this protocol (if any)
     */
    public ?int $port = null;
    /**
     * The SSH cipher used for this SSH connection
     */
    public ?string $sshCipherInUse = null;
    /**
     * The SSH key exchange algorithm this SSH connection
     */
    public ?string $sshKeyExchangeInUse = null;
    /**
     * The SSH mac algorithm this SSH connection
     */
    public ?string $sshMacInUse = null;
    /**
     * The status enumeration value
     */
    public ?DiscoveryProtocolStatusEnumEnum $status = null;
    /**
     * Gets the status message
     */
    public ?string $message = null;
}