<?php

declare (strict_types=1);
namespace idoit\Module\JDisc\Graphql\Schema\Model;

use Axtiva\FlexibleGraphql\Resolver\AutoGenerationInterface;

/**
 * This code is @generated by axtiva/flexible-graphql-php
 * if you want to extend it or change, then remove interface AutoGenerationInterface
 * and it will be managed by you, not axtiva/flexible-graphql-php code generator
 * PHP representation of graphql type IP4Network
 * An IP4 network object holding the IP base address, subnet mask and the name */
final class IP4NetworkType implements AutoGenerationInterface
{
    /**
     * The list of devices belonging to this network.
     * @var null|iterable
     */
    public ?iterable $devices = null;
    /**
     * The IPv4 network's first IP address.
     */
    public $firstAddress = null;
    /**
     * The internal id this entity. Note that the id might change when the entity gets deleted and recreated.
     */
    public ?string $id = null;
    /**
     * The IPv4 network's last IP address.
     */
    public $lastAddress = null;
    /**
     * The IPv4 network's name.
     */
    public ?string $name = null;
    /**
     * A flag that indicates whether the network's name has been configured manually or whether it has been discovered (e.g. via AD).
     */
    public ?bool $nameManuallyConfigured = null;
    /**
     * The IPv4 network's base address.
     */
    public $networkBaseAddress = null;
    /**
     * A network's parent network (if it exists).
     */
    public ?IP4NetworkType $parentNetwork = null;
    /**
     * The IPv4 network's subnet mask.
     */
    public $subnetMask = null;
    /**
     * The list of IP4 transports associated with this network.
     * @var null|iterable
     */
    public ?iterable $transports = null;
}