<?php

declare (strict_types=1);
namespace idoit\Module\JDisc\Graphql\Schema\Model;

use Axtiva\FlexibleGraphql\Resolver\AutoGenerationInterface;

/**
 * This code is @generated by axtiva/flexible-graphql-php
 * if you want to extend it or change, then remove interface AutoGenerationInterface
 * and it will be managed by you, not axtiva/flexible-graphql-php code generator
 * PHP representation of graphql type IP6Transport
 * An IP6 transport holding the IP address, prefix length and hostnames */
final class IP6TransportType implements AutoGenerationInterface
{
    /**
     * The transport's configured prefix length.
     */
    public ?int $configuredPrefixLength = null;
    /**
     * The transport hostnames.
     * @var null|iterable|string[]
     */
    public ?iterable $hostnames = null;
    /**
     * The internal id this entity. Note that the id might change when the entity gets deleted and recreated.
     */
    public ?string $id = null;
    /**
     * The transport's IP6 address.
     */
    public ?string $ipAddress = null;
    /**
     * A flag that indicates whether this is the device's main IP address.
     */
    public ?bool $isMainAddress = null;
    /**
     * A flag that indicates whether this transport is routing or not.
     */
    public ?bool $isRouting = null;
    /**
     * The assigned network for a transport.
     */
    public ?IP6NetworkType $network = null;
    /**
     * The network interface where this transport is configured on.
     */
    public ?NetworkInterfaceType $networkInterface = null;
}