<?php

declare (strict_types=1);
namespace idoit\Module\JDisc\Graphql\Schema\Model;

use Axtiva\FlexibleGraphql\Resolver\AutoGenerationInterface;

/**
 * This code is @generated by axtiva/flexible-graphql-php
 * if you want to extend it or change, then remove interface AutoGenerationInterface
 * and it will be managed by you, not axtiva/flexible-graphql-php code generator
 * PHP representation of graphql type IntegrationDeviceChanges
 * Device change related queries for integrations */
final class IntegrationDeviceChangesType implements AutoGenerationInterface
{
    /**
     * Find a list of devices that have changes for one of the specified categories

Required permissions: ManageIntegrations, ViewData
     * @var null|iterable
     */
    public ?iterable $findChangedDevicesWithCategories = null;
    /**
     * Find a list of devices having an operating system family that have changes for one of the specified categories

Required permissions: ManageIntegrations, ViewData
     * @var null|iterable
     */
    public ?iterable $findChangedDevicesWithCategoriesAndOsFamily = null;
    /**
     * Find a list of devices having an operating system family and parent types (looking down the type hierarchy) that have changes for one of the specified categories

Required permissions: ManageIntegrations, ViewData
     * @var null|iterable
     */
    public ?iterable $findChangedDevicesWithCategoriesAndOsFamilyAndParentTypes = null;
    /**
     * Find a list of devices having an operating system family and types that have changes for one of the specified categories

Required permissions: ManageIntegrations, ViewData
     * @var null|iterable
     */
    public ?iterable $findChangedDevicesWithCategoriesAndOsFamilyAndTypes = null;
    /**
     * Find a list of devices with specific parent types (looking down the type hierarchy) that have changes for one of the specified categories

Required permissions: ManageIntegrations, ViewData
     * @var null|iterable
     */
    public ?iterable $findChangedDevicesWithCategoriesAndParentTypes = null;
    /**
     * Find a list of devices with specific types that have changes for one of the specified categories

Required permissions: ManageIntegrations, ViewData
     * @var null|iterable
     */
    public ?iterable $findChangedDevicesWithCategoriesAndTypes = null;
}