<?php

declare (strict_types=1);
namespace idoit\Module\JDisc\Graphql\Schema\Model;

use Axtiva\FlexibleGraphql\Resolver\AutoGenerationInterface;

/**
 * This code is @generated by axtiva/flexible-graphql-php
 * if you want to extend it or change, then remove interface AutoGenerationInterface
 * and it will be managed by you, not axtiva/flexible-graphql-php code generator
 * PHP representation of graphql type IssuedClientAccessLicense
 * An issued client access license (CAL) */
final class IssuedClientAccessLicenseType implements AutoGenerationInterface
{
    /**
     * The account associated with this issued client access license when found in our database
     */
    public ?AccountType $account = null;
    /**
     * The account  name associated with this issued client access license.
     */
    public ?string $accountName = null;
    /**
     * The computer name associated with this issued client access license.
     */
    public ?string $computerName = null;
    /**
     * The time when the application was detected for the first time.
     */
    public $creationTime = null;
    /**
     * The device associated with this issued client access license when found in our database
     */
    public ?DeviceType $device = null;
    /**
     * The issued CAL license expiration date.
     */
    public $expirationDate = null;
    /**
     * The internal id this entity. Note that the id might change when the entity gets deleted and recreated.
     */
    public ?string $id = null;
    /**
     * The issued CAL license issue date.
     */
    public $issueDate = null;
    /**
     * The CAL license id
     */
    public ?int $licenseId = null;
    /**
     * Gets the operating system for this client access license
     */
    public ?OperatingSystemType $operatingSystem = null;
    /**
     * The CAL product subtype
     */
    public ?ClientAccessLicenseProductSubTypeEnum $productSubtype = null;
    /**
     * The CAL product type
     */
    public ?ClientAccessLicenseProductTypeEnum $productType = null;
    /**
     * Gets the service for this client access license
     */
    public ?ServiceType $service = null;
    /**
     * The CAL license status
     */
    public ?ClientAccessLicenseStatusEnum $status = null;
    /**
     * The CAL version
     */
    public ?string $version = null;
}