<?php

declare (strict_types=1);
namespace idoit\Module\JDisc\Graphql\Schema\Model;

use Axtiva\FlexibleGraphql\Resolver\AutoGenerationInterface;

/**
 * This code is @generated by axtiva/flexible-graphql-php
 * if you want to extend it or change, then remove interface AutoGenerationInterface
 * and it will be managed by you, not axtiva/flexible-graphql-php code generator
 * PHP representation of graphql type KubernetesReplicaSet
 * A kubernetes replica set. */
final class KubernetesReplicaSetType implements AutoGenerationInterface
{
    /**
     * The cluster that this replicaset is assigned to.
     */
    public ?ClusterType $cluster = null;
    /**
     * The timestamp when this replica set was created.
     */
    public $createdAt = null;
    /**
     * The internal id this entity. Note that the id might change when the entity gets deleted and recreated.
     */
    public ?string $id = null;
    /**
     * The kubernetes replica set name.
     */
    public ?string $name = null;
    /**
     * The namespace that this replica set is assigned to.
     */
    public ?KubernetesNamespaceType $namespace = null;
    /**
     * The pods associated with this replicaset.
     * @var null|iterable
     */
    public ?iterable $pods = null;
    /**
     * The pods associated with this replicaset.
     * @var null|iterable
     */
    public ?iterable $services = null;
    /**
     * A kubernetes replica set's unique id.
     */
    public ?string $uniqueId = null;
}