<?php

declare (strict_types=1);
namespace idoit\Module\JDisc\Graphql\Schema\Model;

use Axtiva\FlexibleGraphql\Resolver\AutoGenerationInterface;

/**
 * This code is @generated by axtiva/flexible-graphql-php
 * if you want to extend it or change, then remove interface AutoGenerationInterface
 * and it will be managed by you, not axtiva/flexible-graphql-php code generator
 * PHP representation of graphql type LogicalDisk
 * A logical disk drive. */
final class LogicalDiskType implements AutoGenerationInterface
{
    /**
     * The logical disk encryption algorithm.
     */
    public ?DiskEncryptionAlgorithmEnum $encryptionAlgorithm = null;
    /**
     * The logical disk encryption method.
     */
    public ?DiskEncryptionMethodEnum $encryptionMethod = null;
    /**
     * The logical disk filesystem type.
     */
    public ?string $fileSystem = null;
    /**
     * The free space on this logical disk in KB.
     */
    public $freeSpace = null;
    /**
     * The internal id this entity. Note that the id might change when the entity gets deleted and recreated.
     */
    public ?string $id = null;
    /**
     * The logical disk location. The location might be in a remote disk array.
     */
    public ?string $location = null;
    /**
     * The logical disk mount point.
     */
    public ?string $mountPoint = null;
    /**
     * The logical disk name.
     */
    public ?string $name = null;
    /**
     * A logical disk's provisioned size in KB.
     */
    public $provisionedSize = null;
    /**
     * A logical disk's serial number.
     */
    public ?string $serialNumber = null;
    /**
     * A logical disk's total size in KB.
     */
    public $totalSize = null;
    /**
     * The used space on this logical disk in KB.
     */
    public $usedSpace = null;
}