<?php

declare (strict_types=1);
namespace idoit\Module\JDisc\Graphql\Schema\Model;

use Axtiva\FlexibleGraphql\Resolver\AutoGenerationInterface;

/**
 * This code is @generated by axtiva/flexible-graphql-php
 * if you want to extend it or change, then remove interface AutoGenerationInterface
 * and it will be managed by you, not axtiva/flexible-graphql-php code generator
 * PHP representation of graphql type ManageEnginePMPServer
 * This object contains information about the Manage Engine PMP server. */
final class ManageEnginePMPServerType implements AutoGenerationInterface, PasswordManagerServerInterface
{
    /**
     * The account's password. IMPORTANT: This field is never populated when being read from the database. This field is only used when setting passwords from the UI
     */
    public ?string $authToken = null;
    /**
     * The internal id this entity. Note that the id might change when the entity gets deleted and recreated.
     */
    public ?string $id = null;
    /**
     * A flag whether the server is hosted in the cloud or on premises.
     */
    public ?bool $isCloudServer = null;
    /**
     * The server's descriptive name as provided by the user.
     */
    public ?string $name = null;
    /**
     * The port that the server is listening on.
     */
    public ?int $port = null;
    /**
     * The resource list.
     * @var null|iterable
     */
    public ?iterable $resources = null;
    /**
     * The server's address (IP address or hostname).
     */
    public ?string $serverAddress = null;
    /**
     * The server status
     */
    public ?PasswordManagementStatusType $status = null;
    /**
     * The server label
     */
    public ?string $label = null;
}