<?php

declare (strict_types=1);
namespace idoit\Module\JDisc\Graphql\Schema\Model;

use Axtiva\FlexibleGraphql\Resolver\AutoGenerationInterface;

/**
 * This code is @generated by axtiva/flexible-graphql-php
 * if you want to extend it or change, then remove interface AutoGenerationInterface
 * and it will be managed by you, not axtiva/flexible-graphql-php code generator
 * PHP representation of graphql type OperatingSystems
 * This type provides operating system related queries */
final class OperatingSystemsType implements AutoGenerationInterface
{
    /**
     * Finds all operating systems by family
     * @var null|iterable
     */
    public ?iterable $findByFamily = null;
    /**
     * Finds all operating systems by operating system version
     * @var null|iterable
     */
    public ?iterable $findByVersion = null;
    /**
     * Finds the set of all operating system families. Families are for instance 'Windows', 'Linux', 'Solaris', 'AIX', ...
     * @var null|iterable|string[]
     */
    public ?iterable $findOsFamilies = null;
    /**
     * Find the set of all operating system families for the selected devices
     * @var null|iterable|string[]
     */
    public ?iterable $findOsFamiliesForDevices = null;
    /**
     * Finds the set of all operating system versions
     * @var null|iterable|string[]
     */
    public ?iterable $findOsVersions = null;
    /**
     * Find the set of all operating system versions for the selected devices
     * @var null|iterable|string[]
     */
    public ?iterable $findOsVersionsForFamily = null;
}