<?php

declare (strict_types=1);
namespace idoit\Module\JDisc\Graphql\Schema\Model;

use Axtiva\FlexibleGraphql\Resolver\AutoGenerationInterface;

/**
 * This code is @generated by axtiva/flexible-graphql-php
 * if you want to extend it or change, then remove interface AutoGenerationInterface
 * and it will be managed by you, not axtiva/flexible-graphql-php code generator
 * PHP representation of graphql type ReportNetworkExportJob
 * A report network export job configuration */
final class ReportNetworkExportJobType implements AutoGenerationInterface, ReportExportJobInterface, AnyScheduledJobInterface
{
    /**
     * The job's export format baseFileName attribute
     */
    public ?string $baseFileName = null;
    /**
     * The job's connected report name
     */
    public ?BuiltInReportEnum $builtInReport = null;
    /**
     * The entity's creation time.
     */
    public $creationTime = null;
    /**
     * The job's connected custom report id
     */
    public $customReportId = null;
    /**
     * The job's export format encoding attribute
     */
    public ?TextFileEncodingEnum $encoding = null;
    /**
     * The job's export format
     */
    public ?ExportFormatEnum $exportFormat = null;
    /**
     * The job's export type
     */
    public ?ExportTypeEnum $exportType = null;
    /**
     * The job's filter case-sensitive flag
     */
    public ?bool $filterCaseSensitive = null;
    /**
     * The job's filter value
     */
    public ?string $filterValue = null;
    /**
     * The internal id of network export job.
Mandatory for change and delete operations.
Note that the id might change when the entity gets deleted and recreated.
     */
    public ?string $id = null;
    /**
     * The job's owner
     */
    public ?InventoryUserType $inventoryUser = null;
    /**
     * The job's invert filter flag
     */
    public ?bool $invertFilter = null;
    /**
     * The entity's modification time.
     */
    public $modificationTime = null;
    /**
     * The job's name
     */
    public ?string $name = null;
    /**
     * The job's export storage location
     */
    public ?NetworkStorageLocationType $networkStorageLocation = null;
    /**
     * The job's export format nullValue attribute
     */
    public ?string $nullValue = null;
    /**
     * The job's export numberOfHistoryFiles attribute
     */
    public ?int $numberOfHistoryFiles = null;
    /**
     * The job's export overwriteExistingFile attribute
     */
    public ?bool $overwriteExistingFile = null;
    /**
     * The job's connected report title
     */
    public ?string $reportTitle = null;
    /**
     * The job's export format separator attribute
     */
    public ?string $separator = null;
    /**
     * The job's sort column configuration
     */
    public ?string $sortByColumn = null;
    /**
     * The job's sort order configuration
     */
    public ?SortOrderEnum $sortOrder = null;
    /**
     * The job's export format useHumanReadableDateDurationOutput attribute
     */
    public ?bool $useHumanReadableDateDurationOutput = null;
    /**
     * The job's export format useHumanReadableOutput attribute
     */
    public ?bool $useHumanReadableOutput = null;
    /**
     * The job's export format useMultipleLines attribute
     */
    public ?bool $useMultipleLines = null;
    /**
     * The job's schedule
     */
    public ?ScheduleType $schedule = null;
    /**
     * The job's owner login
     */
    public ?string $inventoryUserLogin = null;
}