<?php

declare (strict_types=1);
namespace idoit\Module\JDisc\Graphql\Schema\Model;

use Axtiva\FlexibleGraphql\Resolver\AutoGenerationInterface;

/**
 * This code is @generated by axtiva/flexible-graphql-php
 * if you want to extend it or change, then remove interface AutoGenerationInterface
 * and it will be managed by you, not axtiva/flexible-graphql-php code generator
 * PHP representation of graphql type SnmpAgentData
 * The entity holds basic data coming from the SNMP protocol. */
final class SnmpAgentDataType implements AutoGenerationInterface
{
    /**
     * The dot1dBaseBridge address is a unique identifier usually used by switches and routers. In most cases, it is the 'base' mac address.
     */
    public ?string $dot1dBaseBridgeAddress = null;
    /**
     * Each SNMP engine has a unique engine id.
     */
    public ?string $engineId = null;
    /**
     * The internal id this entity. Note that the id might change when the entity gets deleted and recreated.
     */
    public ?string $id = null;
    /**
     * The SNMP system contact. The system contacts string is usually configured by the owner of a device.
     */
    public ?string $sysContact = null;
    /**
     * The SNMP system description. The system description is a string that each manufacturer or OS vendor creates for the device or operating system.
     */
    public ?string $sysDescription = null;
    /**
     * The SNMP system location. The system location string is usually configured by the owner of a device.
     */
    public ?string $sysLocation = null;
    /**
     * The SNMP system name.
     */
    public ?string $sysName = null;
    /**
     * The SNMP system object id for this device. The SNMP system object ids are created by the vendors to identify a model, series or operating system.
     */
    public ?string $sysObjectId = null;
}